import pandas as pd
import glob
import csv
import os


year = "2023Competition"
characters = ["ZEN", "GARNET", "LUD"]

# for standard
'''
KS
pythunder
BlindAI
CAS
RandMan
RandomKun
BAISIK
'''
{'BlindAI': 0, 'KS': 0, 'pythunder': 0, 'MctsAi23i': 0, 'CAS': 0, 'RandMan': 0, 'RandomKun': 0, 'BAISIK': 0}
win_garnet = {'BlindAI': 0, 'KS': 0, 'pythunder': 0, 'MctsAi23i': 0, 'CAS': 0, 'RandMan': 0, 'RandomKun': 0, 'BAISIK': 0}
win_zen = {'BlindAI': 0, 'KS': 0, 'pythunder': 0, 'MctsAi23i': 0, 'CAS': 0, 'RandMan': 0, 'RandomKun': 0, 'BAISIK': 0}
win_lud = {'BlindAI': 0, 'KS': 0, 'pythunder': 0, 'MctsAi23i': 0, 'CAS': 0, 'RandMan': 0, 'RandomKun': 0, 'BAISIK': 0}
remainingHP_garnet = {'BlindAI': 0, 'KS': 0, 'pythunder': 0, 'MctsAi23i': 0, 'CAS': 0, 'RandMan': 0, 'RandomKun': 0, 'BAISIK': 0}
remainingHP_zen = {'BlindAI': 0, 'KS': 0, 'pythunder': 0, 'MctsAi23i': 0, 'CAS': 0, 'RandMan': 0, 'RandomKun': 0, 'BAISIK': 0}
remainingHP_lud = {'BlindAI': 0, 'KS': 0, 'pythunder': 0, 'MctsAi23i': 0, 'CAS': 0, 'RandMan': 0, 'RandomKun': 0, 'BAISIK': 0}

counter = {'BlindAI': 0, 'KS': 0, 'pythunder': 0, 'MctsAi23i': 0, 'CAS': 0, 'RandMan': 0, 'RandomKun': 0, 'BAISIK': 0}


# for speed
frames_garnet = {'BlindAI': 0, 'KS': 0, 'pythunder': 0, 'MctsAi23i': 0, 'CAS': 0, 'RandMan': 0, 'RandomKun': 0, 'BAISIK': 0}
frames_zen = {'BlindAI': 0, 'KS': 0, 'pythunder': 0, 'MctsAi23i': 0, 'CAS': 0, 'RandMan': 0, 'RandomKun': 0, 'BAISIK': 0}
frames_lud = {'BlindAI': 0, 'KS': 0, 'pythunder': 0, 'MctsAi23i': 0, 'CAS': 0, 'RandMan': 0, 'RandomKun': 0, 'BAISIK': 0}


def standard(year, character, win, remainingHP, counter):
	print('standard league')
	path = "./std" + character +"/"
	# print(os.listdir(path))
	matches = os.listdir(path)

	for match in matches:
		if match == ".DS_Store":
			continue
		p1 = match.split("_")[1]
		p2 = match.split("_")[2]
		counter[p1] = counter[p1] + 1
		counter[p2] = counter[p2] + 1
		# print(match)
		# print(p1, p2)

		match_path = path + match
		with open(match_path, 'r') as f:
			reader = csv.reader(f)

			for row in reader:
				if int(row[1]) > int(row[2]): # p1 win
					win[p1] = win[p1] + 1
				elif int(row[1]) < int(row[2]): # p2 win
					win[p2] = win[p2] + 1
				else: # drow
					win[p1] = win[p1] + 0.5
					win[p2] = win[p2] + 0.5

				remainingHP[p1] = remainingHP[p1] + int(row[1])
				remainingHP[p2] = remainingHP[p2] + int(row[2])

	print("win")
	print(win)
	print("remainingHP")
	print(remainingHP)
	print("counter")
	print(counter)
				



def speed(year, character, frames, counter):
	print('speed league')
	path = "./spd" + character +"/"
	# print(os.listdir(path))
	matches = os.listdir(path)

	# MctsAi23i
	matches = [p for p in os.listdir(path) if 'MctsAi23i' in p]
	# print(matches)
	for match in matches:
		if match == ".DS_Store":
			continue
		p1 = match.split("_")[1]
		p2 = match.split("_")[2]
		# print(p1)
		if p1 == "MctsAi23i":
			counter[p2] = counter[p2] + 1
		else:
			counter[p1] = counter[p1] + 1
		# print(counter.items())

		# print(match)
		print(p1, counter[p1], p2, counter[p2])

		match_path = path + match
		with open(match_path, 'r') as f:
			reader = csv.reader(f)

			for row in reader:
				if int(row[1]) > int(row[2]): #p1 win
					if p1 != "MctsAi23i": # player win
						frames[p1] = frames[p1] + int(row[3])
					else: # MctsAi win
						frames[p2] = frames[p2] + 4200

				elif int(row[1]) < int(row[2]): # p2 win
					if p2 != "MctsAi23i": # player win
						frames[p2] = frames[p2] + int(row[3])
					else: # MctsAi win
						frames[p1] = frames[p1] + 4200

				else: # drow
					if p1 != "MctsAi23i": # p1 is player
						frames[p1] = frames[p1] + int(row[3])
					else: # p2 is player
						frames[p2] = frames[p2] + int(row[3])
	# BlindAI
	matches = [p for p in os.listdir(path) if 'BlindAI' in p]

	for match in matches:
		if match == ".DS_Store":
			continue
		p1 = match.split("_")[1]
		p2 = match.split("_")[2]
		# print(p1)
		if p1 == 'BlindAI':
			counter[p2] = counter[p2] + 1
		else:
			counter[p1] = counter[p1] + 1
		# print(counter.items())

		# print(match)
		print(p1, counter[p1], p2, counter[p2])

		match_path = path + match
		with open(match_path, 'r') as f:
			reader = csv.reader(f)

			for row in reader:
				if int(row[1]) > int(row[2]): #p1 win
					if p1 != "BlindAI": # player win
						frames[p1] = frames[p1] + int(row[3])
					else: # MctsAi win
						frames[p2] = frames[p2] + 4200

				elif int(row[1]) < int(row[2]): # p2 win
					if p2 != "BlindAI": # player win
						frames[p2] = frames[p2] + int(row[3])
					else: # MctsAi win
						frames[p1] = frames[p1] + 4200

				else: # drow
					if p1 != "BlindAI": # p1 is player
						frames[p1] = frames[p1] + int(row[3])
					else: # p2 is player
						frames[p2] = frames[p2] + int(row[3])
		# with open(match_path, 'r') as f:
		# 	reader = csv.reader(f)

		# 	for row in reader:
		# 		if int(row[1]) > int(row[2]): #p1 win
		# 			if p1 != "BlindAI": # player win
		# 				frames[p1] = frames[p1] + int(row[3])
		# 			else: # MctsAi win
		# 				frames[p2] = frames[p2] + 4200

		# 		elif int(row[1]) < int(row[2]): # p2 win
		# 			if p2 != "BlindAI": # player win
		# 				frames[p2] = frames[p2] + int(row[3])
		# 			else: # MctsAi win
		# 				frames[p1] = frames[p1] + 4200

		# 		else: # drow
		# 			if p1 != "BlindAI": # p1 is player
		# 				frames[p1] = frames[p1] + int(row[3])
		# 			else: # p2 is player
		# 				frames[p2] = frames[p2] + int(row[3])


	print("frames")
	print(frames)
	print("counter")
	print(counter)

# # for ZEN
standard(year, "ZEN", win_zen, remainingHP_zen, counter)
# speed(year, "ZEN", frames_zen, counter)

# for GARNET
#standard(year, "GARNET", win_garnet, remainingHP_garnet, counter)
#speed(year, "GARNET", frames_garnet, counter)



# # # for LUD 
# standard(year, "LUD", win_lud, remainingHP_lud, counter)
#speed(year, "LUD", frames_lud, counter)




















