# Randman

Randman, is a Python AI for the FightingICE platform. It has the list of all possible actions and randomly selects one of them. That's it :)

## File Description

- `Randman.py` is just an AI that randomly selects actions.
- `Main_PyAIvsPyAI.py` is the script to run two instances of the Python AI and set up the game. This is when both AI are implemented using Python
- `Main_SinglePyAI.py` is the script to run a single instance of the Python AI, e.g. when the opposing AI is not implemented using Python.

## Instruction

- First, install our interface on implementing python AI using `pip`.

```bash
pip install pyftg
pip install numpy
```

## Instruction on using Main_PyAIvsPyAI.py

- Boot DareFightingICE with option `--grpc-auto`.
- If both of AI are implemented in Python, modify lines 11 to 15 of `Main_PyAIvsPyAI.py`.
- The following example shows how to use Randman as player 1 and DisplayInfo as player 2.

```python
agent1 = Randman()
agent2 = DisplayInfo()
gateway.register_ai("Randman", agent1)
gateway.register_ai("DisplayInfo", agent2)
gateway.run_game([character, character], ["Randman", "DisplayInfo"], game_num)
```

- Execute `Main_PyAIvsPyAI.py` to connect to the DareFightingICE platform where `port` is the exposed port of DareFightingICE (optional).

```bash
python Main_PyAIvsPyAI.py --port {port}
```

## Instruction on using Main_SinglePyAI.py

- Boot DareFightingICE with the option `--grpc`.
- To run a single instance of the Python AI, refer to `Main_SinglePyAI.py`.
- Execute `Main_SinglePyAI.py`, the following example shows how to use Randman as player 1 and not select anything for player 2.

```bash
python Main_SinglePyAI.py --a1 Randman
```
